org.apache.activemq.artemis.jms.server

## Interface ActiveMQJMSServerLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="AMQ")
      public interface ActiveMQJMSServerLogger
      extends org.jboss.logging.BasicLogger

  Logger Code 12 each message id must be 6 digits long starting with 12, the 3rd digit donates the level so INF0 1 WARN 2 DEBUG 3 ERROR 4 TRACE 5 FATAL 6 so an INFO message would be 121000 to 121999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJMSServerLogger` | `LOGGER` The default logger.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindingsUnbindError(Exception e, String key)`
    `void` | `failedToCorrectHost(Exception e, String name)`
    `void` | `failedToDeactivateServer(Exception e)`
    `void` | `failedToSendNotification(String notification)`
    `void` | `invalidHostForConnector(String name, String newHost)`
    `void` | `jmsConfigMissingKey(Node e)`
    `void` | `jmsDeployerStartError(Exception e)`
    `void` | `jmsServerError(Exception e)`
    `void` | `noQueueOnTopic(String queueName, String name)`
    `void` | `recoveryConnectFailed(String s)`
    `void` | `serverCachingCommand(Object runnable)`
    `void` | `serverRunningCachedCommand(Runnable run)`
    `void` | `xaRecoverConnectionError(Exception e, ClientSessionFactory csf)`
    `void` | `xaRecoverError(Exception e)`
    `void` | `xaRecoveryError(Exception e)`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final ActiveMQJMSServerLogger LOGGER

      The default logger.

  - ### Method Detail

    - #### serverCachingCommand

          @LogMessage(level=INFO)
           @Message(id=121004,
                   value="JMS Server Manager Caching command for {0} since the JMS Server is not active.",
                   format=MESSAGE_FORMAT)
          void serverCachingCommand(Object runnable)

    - #### invalidHostForConnector

          @LogMessage(level=WARN)
           @Message(id=122005,
                   value="Invalid \"host\" value \"0.0.0.0\" detected for \"{0}\" connector. Switching to \"{1}\". If this new address is incorrect please manually configure the connector to use the proper one.",
                   format=MESSAGE_FORMAT)
          void invalidHostForConnector(String name,
                                                                                                                                                                                                                                                                                                                               String newHost)

    - #### noQueueOnTopic

          @LogMessage(level=WARN)
           @Message(id=122007,
                   value="Queue {0} does not exist on the topic {1}. It was deleted manually probably.",
                   format=MESSAGE_FORMAT)
          void noQueueOnTopic(String queueName,
                                                                                                                                                                                                          String name)

    - #### recoveryConnectFailed

          @LogMessage(level=WARN)
           @Message(id=122008,
                   value="XA Recovery can not connect to any broker on recovery {0}",
                   format=MESSAGE_FORMAT)
          void recoveryConnectFailed(String s)

    - #### bindingsUnbindError

          @LogMessage(level=WARN)
           @Message(id=122011,
                   value="error unbinding {0} from Registry",
                   format=MESSAGE_FORMAT)
          void bindingsUnbindError(@Cause
                                                                                                                                                                    Exception e,
                                                                                                                                                                    String key)

    - #### jmsServerError

          @LogMessage(level=WARN)
           @Message(id=122012,
                   value="JMS Server Manager error",
                   format=MESSAGE_FORMAT)
          void jmsServerError(@Cause
                                                                                                                                                      Exception e)

    - #### xaRecoverError

          @LogMessage(level=WARN)
           @Message(id=122013,
                   value="Error in XA Recovery recover",
                   format=MESSAGE_FORMAT)
          void xaRecoverError(@Cause
                                                                                                                                                          Exception e)

    - #### xaRecoverConnectionError

          @LogMessage(level=WARN)
           @Message(id=122014,
                   value="Notified of connection failure in xa recovery connectionFactory for provider {0} will attempt reconnect on next pass",
                   format=MESSAGE_FORMAT)
          void xaRecoverConnectionError(@Cause
                                                                                                                                                                                                                                                            Exception e,
                                                                                                                                                                                                                                                            ClientSessionFactory csf)

    - #### xaRecoveryError

          @LogMessage(level=DEBUG)
           @Message(id=122016,
                   value="Error in XA Recovery",
                   format=MESSAGE_FORMAT)
          void xaRecoveryError(@Cause
                                                                                                                                                    Exception e)

    - #### failedToCorrectHost

          @LogMessage(level=WARN)
           @Message(id=122017,
                   value="Tried to correct invalid \"host\" value \"0.0.0.0\" for \"{0}\" connector, but received an exception.",
                   format=MESSAGE_FORMAT)
          void failedToCorrectHost(@Cause
                                                                                                                                                                                                                                        Exception e,
                                                                                                                                                                                                                                        String name)

    - #### failedToSendNotification

          @LogMessage(level=WARN)
           @Message(id=122018,
                   value="Failed to send notification: {0}",
                   format=MESSAGE_FORMAT)
          void failedToSendNotification(String notification)

    - #### failedToDeactivateServer

          @LogMessage(level=WARN)
           @Message(id=122019,
                   value="Unable to deactivate server",
                   format=MESSAGE_FORMAT)
          void failedToDeactivateServer(@Cause
                                                                                                                                                                   Exception e)

    - #### serverRunningCachedCommand

          @LogMessage(level=DEBUG)
           @Message(id=123000,
                   value="JMS Server Manager Running cached command for {0}.(In the event of failover after failback has occurred, this message may be output multiple times.)",
                   format=MESSAGE_FORMAT)
          void serverRunningCachedCommand(Runnable run)

    - #### jmsConfigMissingKey

          @LogMessage(level=ERROR)
           @Message(id=124000,
                   value="key attribute missing for JMS configuration {0}",
                   format=MESSAGE_FORMAT)
          void jmsConfigMissingKey(Node e)

    - #### jmsDeployerStartError

          @LogMessage(level=ERROR)
           @Message(id=124002,
                   value="Failed to start JMS deployer",
                   format=MESSAGE_FORMAT)
          void jmsDeployerStartError(@Cause
                                                                                                                                                                  Exception e)

Copyright © 2018 The Apache Software Foundation. All rights reserved.